Goldeneye and DKCR giving 002 error with wiikey2

Discussion in 'Wii - Hacking' started by mx_maniac, Jan 16, 2011.

  1. mx_maniac
    OP

    mx_maniac Newbie

    Newcomer
    4
    0
    Jan 13, 2010
    United States
    I have never had any problems playing any backups on a wii with wiikey 2, everything has always, and still does work great. However when testing recently downloaded/burned backups of Goldeneye and Donkey Kong Country Returns, they do not work. The initial splash menu shows the game just fine, but when attempting to load the game it gives the 002 error.

    Now I have spent hours searching for info, but everywhere I turn, the discussions are all about playing them on softmodded systems. Softmod this, softmod that, doesn't anybody use a good old Wiikey2 anymore?

    I'm making a wild guess that perhaps for games to run on softmodded systems they might have to be patched in some way, and perhaps those copies had been patched one way or another to work on softmodded systems, but making them incompatible with wiikey2? Just a guess.

    Can anyone help me solve this issue?
     
  2. icecold

    icecold Advanced Member

    Newcomer
    72
    0
    Oct 7, 2008

    Both work on Wiikey 1 without softmod, wii/wiikey latest version. Are the games from you region ? NTSC / PAL


    So, im pretty sure both works with Wiikey 2.
     
  3. lenselijer

    lenselijer GBAtemp Advanced Maniac

    Member
    1,502
    7
    Mar 27, 2006
    Netherlands
    update your wii to 4.3 and they will work fine [​IMG]
     
  4. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,277
    1,407
    Aug 5, 2007
    you are missing some IOS files. You can use Modmii to update or do a nintendo update to 4.3
     
  5. mx_maniac
    OP

    mx_maniac Newbie

    Newcomer
    4
    0
    Jan 13, 2010
    United States
    Thanks for the help. Just 2 questions.

    1. Will it make any difference if I use that modmii program to update, vs just doing an official update from a retail game, or online or however the official way is?

    2. If I were to update by one of those methods, would it still be possible to easily softmod later on? Or would I need to softmod first to be on the safe side? I never cared about softmodding, since a wiikey2 works fine, but i don't want to potentially loose the option to just in case things evolve in the future, or wiikey2 becomes obsolete.
     
  6. Riley

    Riley GBAtemp Maniac

    Member
    1,123
    3
    Mar 9, 2009
    Canada
    BC Canada
    Install HBC now then update.
     
  7. urherenow

    urherenow GBAtemp Psycho!

    Member
    3,058
    917
    Mar 8, 2009
    United States
    Japan
    if you have the latest HBC installed then no problem.

    I have only 2 problems EVER with Wiikey 2 (well, 3 if you count that 4.2 and above, region free doesn't work, but priiloader takes care of that)

    1) Missing an IOS (modmii or the like will fix it for ya... you prolly need 58 or sth

    2) I burned a scrubbed version. If it's scrubbed, then you need the IOS the game uses to have the trucha bug in it (yes, I use darkcorps for that because, well... it's easy.